Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.gui.base
Class LocalDir

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      net.sf.jftp.gui.framework.HPanel
                          net.sf.jftp.gui.base.dir.DirPanel
                              net.sf.jftp.gui.base.dir.DirComponent
                                  net.sf.jftp.gui.base.LocalDir

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.KeyListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener, Dir, ConnectionListener

    public class LocalDir

extends DirComponent
implements javax.swing.event.ListSelectionListener, java.awt.event.ActionListener, ConnectionListener, java.awt.event.KeyListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class net.sf.jftp.gui.base.dir.DirComponent
`table`

Fields inherited from class net.sf.jftp.gui.base.dir.DirPanel
`con, dirEntry, dList, files, jl, length, oldtime, path, type`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LocalDir()` LocalDir constructor.
`LocalDir(java.lang.String path)` LocalDir constructor.

Method Summary
`void` | `actionFinished(BasicConnection con)` Called by FtpConnection
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Handles the user events if the ui is unlocked
`void` | `actionPerformed(java.lang.Object target, java.lang.String msg)` Called by FtpConnection
`void` | `blockedTransfer(int index)` Initiate a tranfer with ui locking enabled
`boolean` | `chdir(java.lang.String p)` Change the directory of this connection and update the gui
`void` | `connectionFailed(BasicConnection con, java.lang.String reason)` Called by FtpConnection
`void` | `connectionInitialized(BasicConnection con)` Called by FtpConnection
`void` | `doChdir(java.lang.String path)`
`void` | `fresh()` Do a hard UI refresh - do no longer call this directly, use safeUpdate() instead.
`void` | `gui_init()` Creates the gui and adds the MouseListener etc.
`void` | `gui(boolean fakeInit)` Part of a gui refresh.
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `lock(boolean first)` Lock the gui.
`void` | `safeUpdate()` Safely refresh the UI.
`void` | `setDirList(boolean fakeInit)` List directory and create/update the whole file list.
`void` | `setViewPort()`
`void` | `showContentWindow(java.lang.String url, DirEntry d)` Mime type handler for doubleclicks on files
`void` | `startTransfer(DirEntry entry)` Start a file transfer.
`void` | `transfer()` Transfers all selected files
`void` | `transfer(int i)` Transfers single file, or all selected files if index is -1
`void` | `unlock(boolean first)` Unlock the gui.
`void` | `updateProgress(java.lang.String file, java.lang.String type, long bytes)` Called by FtpConnection, DownloadList is updated from here
`void` | `updateRemoteDirectory(BasicConnection c)` Called by FtpConnection

Methods inherited from class net.sf.jftp.gui.base.dir.DirComponent
`update, valueChanged`

Methods inherited from class net.sf.jftp.gui.base.dir.DirPanel
`getCon, getPath, getType, setCon, setDownloadList, setPath, setType`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.swing.event.ListSelectionListener
`valueChanged`

Constructor Detail

### LocalDir

    public LocalDir()

  LocalDir constructor.

### LocalDir

    public LocalDir(java.lang.String path)

  LocalDir constructor.

Method Detail

### gui_init

    public void gui_init()

  Creates the gui and adds the MouseListener etc.

### doChdir

    public void doChdir(java.lang.String path)

### setViewPort

    public void setViewPort()

### gui

    public void gui(boolean fakeInit)

  Part of a gui refresh. There's no need to call this by hand.

### setDirList

    public void setDirList(boolean fakeInit)

  List directory and create/update the whole file list. There's no need to call this by hand.

### chdir

    public boolean chdir(java.lang.String p)

  Change the directory of this connection and update the gui

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handles the user events if the ui is unlocked

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### blockedTransfer

    public void blockedTransfer(int index)

  Initiate a tranfer with ui locking enabled

### lock

    public void lock(boolean first)

  Lock the gui.

  Specified by:
    `lock` in interface `Dir`
  Overrides:
    `lock` in class `DirPanel`

### unlock

    public void unlock(boolean first)

  Unlock the gui.

  Specified by:
    `unlock` in interface `Dir`
  Overrides:
    `unlock` in class `DirPanel`

### fresh

    public void fresh()

  Do a hard UI refresh - do no longer call this directly, use safeUpdate() instead.

  Specified by:
    `fresh` in interface `Dir`
  Overrides:
    `fresh` in class `DirPanel`

### transfer

    public void transfer()

  Transfers all selected files

### startTransfer

    public void startTransfer(DirEntry entry)

  Start a file transfer. Depending on the local and remote connection types some things like local working directory have to be set, resuming may have to be checked etc. As with ftp to ftp transfers the action used to download a file might actually be an upload. WARNING: If you do anything here, please check RemoteDir.startTransfer(), too!

### transfer

    public void transfer(int i)

  Transfers single file, or all selected files if index is -1

### safeUpdate

    public void safeUpdate()

  Safely refresh the UI.

### actionPerformed

    public void actionPerformed(java.lang.Object target,
                                java.lang.String msg)

  Called by FtpConnection

  Specified by:
    `actionPerformed` in interface `Dir`
  Overrides:
    `actionPerformed` in class `DirPanel`

### updateProgress

    public void updateProgress(java.lang.String file,
                               java.lang.String type,
                               long bytes)

  Called by FtpConnection, DownloadList is updated from here

  Specified by:
    `updateProgress` in interface `ConnectionListener`

### connectionInitialized

    public void connectionInitialized(BasicConnection con)

  Called by FtpConnection

  Specified by:
    `connectionInitialized` in interface `ConnectionListener`

### actionFinished

    public void actionFinished(BasicConnection con)

  Called by FtpConnection

  Specified by:
    `actionFinished` in interface `ConnectionListener`

### connectionFailed

    public void connectionFailed(BasicConnection con,
                                 java.lang.String reason)

  Called by FtpConnection

  Specified by:
    `connectionFailed` in interface `ConnectionListener`

### updateRemoteDirectory

    public void updateRemoteDirectory(BasicConnection c)

  Called by FtpConnection

  Specified by:
    `updateRemoteDirectory` in interface `ConnectionListener`

### showContentWindow

    public void showContentWindow(java.lang.String url,
                                  DirEntry d)

  Mime type handler for doubleclicks on files

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD